Link a software to a task type of a production. The task type must be a task type of the production and the software must not be archived. An existing link is returned as is. Admins, managers of the team and supervisors of the team for the task types of their departments can add it.
POST
/data/projects/{project_id}/task-types/{task_type_id}/softwares
curl \
--request POST 'http://api.example.com/data/projects/a24a6ea4-ce75-4665-a070-57453082c250/task-types/b35b7fb5-df86-5776-b181-68564193d360/softwares' \
--header "Authorization: $API_KEY" \
--header "Content-Type: application/json" \
--data '{
"software_id": "c46c8fc6-ef97-4887-a292-79675204e471"
}'
Request examples
{
"software_id": "c46c8fc6-ef97-4887-a292-79675204e471"
}
Response examples (201)
{
"project_id": "a24a6ea4-ce75-4665-a070-57453082c250",
"task_type_id": "b35b7fb5-df86-5776-b181-68564193d360",
"software_id": "c46c8fc6-ef97-4887-a292-79675204e471"
}